GET
/cars/vin/{vin}VehiclesFind a vehicle by VIN
Look up a car by its exact VIN.
- The VIN must be 16–19 letters and digits. Case doesn't matter.
- For a partial VIN, use the
vinfilter on /search. - Like the ID lookup, it can return a recently sold car.
Path parameters
1vinstring16–19 charsRequiredExact VIN, case-insensitive. The page fills an available VIN from a search result after connecting your key.
Query parameters
1langstringResponse locale. Option translations are also limited by the account languages. The page selects its current language automatically.
Returns · One Car in
data, with full reports.GET
/cars/vin/{vin}curl -g "https://api.lotarius.com/cars/vin/WDDHF0CB3EA952710?api_key=$CARS_API_KEY" \
-H "Accept: application/json"ExamplesRecorded
{1 key
"data": {23 keys
"id": "l_eCJb-8zB_XcJ-z6Y7oZWjw"
"has_inspections": true
"has_history_reports": true
"year": 2014
"month": 4
"vin": "wddhf0cb3ea952710"
"brand": {2 keys
"id": 88
"name": "Mercedes-Benz"
"model": {2 keys
"id": 573
"name": "E-klasse"
"engine_volume": 2143
"seats": 5
"body_type": {2 keys
"name": "sedan"
"id": 1
"transmission": {2 keys
"name": "automatic"
"id": 1
"transmission_steps": 6
"fuel": {2 keys
"name": "diesel"
"id": 1
"color": {2 keys
"name": "white"
"id": 13
"power_hp": 170
"market_origin": {2 keys
"name": "europe"
"id": 1
"badge": "E220 CDI Avantgarde"
"option_ids": [53 items
]"listings": [1 item
]"inspections": [1 item
]"vehicle_history_reports": [1 item
]"hash": "906cd8e0bfcd7794674b4bb7bae09c4fa5294db0e786e825e37cc738b7aa177f"
